Modules index

# Exceptions

### Main Exception classes

`class User_Exception`:

`class Internal_Exception`:

### User exceptions

`class Apply_Exception`:

`class Bounds_Exception`:

`class Import_Exception`:

`class Indices_Exception`:

`class Key_Exception`:

`class Number_Exception`:

`class Slot_Exception`:

`class Type_Exception`:

`class Unpack_Exception`:

### Internal exceptions

These are exceptions which should not ever be explicitly considered by users. They are either the result of an internal problem with the Converge VM, or relate to an internal implementation detail which may be subject to change.

`class System_Exit_Exception`:

`class VM_Exception`:

### Module functions

`func backtrace(e):` Returns a string of the backtrace encoded in the exception `e`. `e` itself should be an exception that has been `raise`d i.e. it does not make sense to represent a backtrace from an exception object unless it has actually been raised.

cvd_to_html ©2006-2007 Laurence Tratt